Page MenuHomeFreeBSD

sdhci: add sysctls to dump sdhci registers and capabilites
ClosedPublic

Authored by bag_semihalf.com on Aug 4 2021, 8:11 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Apr 5, 5:01 AM
Unknown Object (File)
Mar 21 2024, 2:22 AM
Unknown Object (File)
Mar 7 2024, 6:05 PM
Unknown Object (File)
Feb 11 2024, 9:17 PM
Unknown Object (File)
Feb 6 2024, 9:26 PM
Unknown Object (File)
Dec 22 2023, 10:15 PM
Unknown Object (File)
Dec 13 2023, 6:17 AM
Unknown Object (File)
Nov 29 2023, 12:56 PM

Details

Summary

Add sysctls dev.sdhci.X.slotY.dumpregs and dev.sdhci.X.slotY.dumpcaps
which dumps sdhci registers or capabilities.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

bag_semihalf.com created this revision.

LGTM + tested on MacchiatoBin/CN913x-DB/CN913x-CEx7-Evaluation board

This revision is now accepted and ready to land.Aug 13 2021, 3:14 PM

How about moving those sysctls under a dev.sdhci.X.slotY.debug parent node? This way we can add more debug tunables in the future.

This revision now requires review to proceed.Aug 18 2021, 8:25 AM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 13 2021, 8:02 AM
This revision was automatically updated to reflect the committed changes.